XSetWMProtocols(3) | Library Functions Manual | XSetWMProtocols(3)

# NAME

XSetWMProtocols, XGetWMProtocols - set or read a window's WM_PROTOCOLS property

# SYNTAX

Status XSetWMProtocols(Display *display, Window w, Atom *protocols, int count);

Status XGetWMProtocols(Display *display, Window w, Atom **protocols_return, int *count_return);

# ARGUMENTS

display
  Specifies the connection to the X server.
count
  Specifies the number of protocols in the list.
count_return
  Returns the number of protocols in the list.
protocols
  Specifies the list of protocols.
protocols_return
  Returns the list of protocols.

# DESCRIPTION

The XSetWMProtocols function replaces the WM_PROTOCOLS property on the specified window with the list of atoms specified by the protocols argument. If the property does not already exist, XSetWMProtocols sets the WM_PROTOCOLS property on the specified window to the list of atoms specified by the protocols argument. The property is stored with a type of ATOM and a format of 32. If it cannot intern the WM_PROTOCOLS atom, XSetWMProtocols returns a zero status. Otherwise, it returns a nonzero status.

XSetWMProtocols can generate BadAlloc and BadWindow errors.

The XGetWMProtocols function returns the list of atoms stored in the WM_PROTOCOLS property on the specified window. These atoms describe window manager protocols in which the owner of this window is willing to participate. If the property exists, is of type ATOM, is of format 32, and the atom WM_PROTOCOLS can be interned, XGetWMProtocols sets the protocols_return argument to a list of atoms, sets the count_return argument to the number of elements in the list, and returns a nonzero status. Otherwise, it sets neither of the return arguments and returns a zero status. To release the list of atoms, use XFree.

XGetWMProtocols can generate a BadWindow error.

# PROPERTIES

WM_PROTOCOLS
  List of atoms that identify the communications protocols between the client and window manager in which the client is willing to participate.

# DIAGNOSTICS

BadAlloc
  The server failed to allocate the requested resource or server memory.
BadWindow
  A value for a Window argument does not name a defined Window.

# SEE ALSO

XAllocClassHint(3), XAllocIconSize(3), XAllocSizeHints(3), XAllocWMHints(3), XFree(3), XSetCommand(3), XSetTransientForHint(3), XSetTextProperty(3), XSetWMClientMachine(3), XSetWMColormapWindows(3), XSetWMIconName(3), XSetWMName(3), XSetWMProperties(3), XStringListToTextProperty(3)
Xlib - C Language X Interface

X Version 11 | XLIB FUNCTIONS